C#
using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.Transactions.IncrementAuthorizationAsync(
transactionId: "7099948d-7286-47e4-aad8-b68f7eb44591",
transactionAuthorizationIncrementCreate: new TransactionAuthorizationIncrementCreate() {
Amount = 1299,
}
);
// handle responsepackage main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"github.com/gr4vy/gr4vy-go/models/components"
"log"
)
func main() {
ctx := context.Background()
s := gr4vy.New(
gr4vy.WithID("example"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)
res, err := s.Transactions.IncrementAuthorization(ctx, "7099948d-7286-47e4-aad8-b68f7eb44591", components.TransactionAuthorizationIncrementCreate{
Amount: 1299,
}, nil, nil)
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.TransactionAuthorizationIncrementCreate;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.IncrementTransactionAuthorizationResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.id("example")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();
IncrementTransactionAuthorizationResponse res = sdk.transactions().incrementAuthorization()
.transactionId("7099948d-7286-47e4-aad8-b68f7eb44591")
.transactionAuthorizationIncrementCreate(TransactionAuthorizationIncrementCreate.builder()
.amount(1299L)
.build())
.call();
if (res.transactionAuthorizationIncrement().isPresent()) {
System.out.println(res.transactionAuthorizationIncrement().get());
}
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();
$transactionAuthorizationIncrementCreate = new Gr4vy\TransactionAuthorizationIncrementCreate(
amount: 1299,
);
$response = $sdk->transactions->incrementAuthorization(
transactionId: '7099948d-7286-47e4-aad8-b68f7eb44591',
transactionAuthorizationIncrementCreate: $transactionAuthorizationIncrementCreate
);
if ($response->transactionAuthorizationIncrement !== null) {
// handle response
}from gr4vy import Gr4vy
import os
with Gr4vy(
merchant_account_id="default",
bearer_auth=os.getenv("GR4VY_BEARER_AUTH"),
) as g_client:
res = g_client.transactions.increment_authorization(transaction_id="7099948d-7286-47e4-aad8-b68f7eb44591", amount=1299)
# Handle response
print(res)import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.transactions.incrementAuthorization({
amount: 1299,
}, "7099948d-7286-47e4-aad8-b68f7eb44591");
console.log(result);
}
run();curl --request POST \
--url https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/authorization/increment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 1299
}'{
"status": "succeeded",
"code": "service_error",
"raw_response_code": "E104",
"raw_response_description": "Internal error",
"transaction": {
"id": "7099948d-7286-47e4-aad8-b68f7eb44591",
"reconciliation_id": "default",
"merchant_account_id": "default",
"currency": "EUR",
"amount": 1299,
"status": "authorization_succeeded",
"authorized_amount": 1299,
"captured_amount": 1299,
"refunded_amount": 1299,
"settled_amount": 1100,
"settled": true,
"intent": "capture",
"gift_card_redemptions": [
{
"id": "31e65fb1-9c67-432e-9c06-83300b9d4059",
"status": "succeeded",
"amount": 100,
"refunded_amount": 50,
"gift_card": {
"bin": "412345",
"sub_bin": "554",
"last4": "1234",
"type": "gift-card",
"id": "356d56e5-fe16-42ae-97ee-8d55d846ae2e"
},
"type": "gift-card-redemption",
"gift_card_service_redemption_id": "xYqd43gySMtori",
"error_code": "expired_card",
"raw_error_code": "10001",
"raw_error_message": "Card expired"
}
],
"created_at": "2013-07-16T19:23:00.000+00:00",
"updated_at": "2013-07-16T19:23:00.000+00:00",
"disputed": true,
"payment_source": "ecommerce",
"merchant_initiated": true,
"is_subsequent_payment": false,
"intent_outcome": "succeeded",
"multi_tender": true,
"account_funding_transaction": true,
"type": "transaction",
"settled_currency": "USD",
"country": "US",
"external_identifier": "transaction-12345",
"payment_method": {
"method": "card",
"type": "payment-method",
"approval_url": "https://gr4vy.app/redirect/12345",
"country": "US",
"currency": "USD",
"details": {
"bin": "<string>",
"card_type": "<string>",
"card_issuer_name": "<string>"
},
"expiration_date": "12/30",
"fingerprint": "20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17",
"label": "1234",
"last_replaced_at": "2013-07-16T19:23:00.000+00:00",
"mode": "card",
"scheme": "visa",
"id": "852b951c-d7ea-4c98-b09e-4a1c9e97c077",
"approval_target": "any",
"external_identifier": "card-12345",
"payment_account_reference": "V0010014629724763377327521982"
},
"method": "card",
"instrument_type": "pan",
"error_code": "missing_redirect_url",
"payment_service": {
"id": "824ff064-7f4b-430b-9801-59aff90d013e",
"payment_service_definition_id": "stripe-card",
"method": "card",
"display_name": "Stripe USA",
"type": "payment-service"
},
"pending_review": false,
"buyer": {
"type": "buyer",
"id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"reconciliation_id": "7jZXl4gBUNl0CnaLEnfXbt",
"display_name": "John Doe",
"external_identifier": "buyer-12345",
"billing_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"tax_id": {
"value": "12345678931",
"kind": "us.ein"
}
},
"account_number": "<string>"
},
"raw_response_code": "E104",
"raw_response_description": "Missing redirect URL",
"shipping_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"id": "bf8c36ad-02d9-4904-b0f9-a230b149e341",
"buyer_id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"type": "shipping-details"
},
"checkout_session_id": "4137b1cf-39ac-42a8-bad6-1c680d5dab6b",
"gift_card_service": {
"id": "35b60feec-a7c7-4844-b503-f39b09192d81",
"gift_card_service_definition_id": "qwikcilver-gift-card",
"display_name": "Qwikcilver USA",
"type": "gift-card-service"
},
"reauthorized_from_transaction_id": "4137b1cf-39ac-42a8-bad6-1c680d5dab6b",
"airline": {
"booking_code": "X36Q9C",
"is_cardholder_traveling": true,
"issued_address": "123 Broadway, New York",
"issued_at": "2013-07-16T19:23:00.000+00:00",
"issuing_carrier_code": "649",
"issuing_carrier_name": "Air Transat A.T. Inc",
"issuing_iata_designator": "TS",
"issuing_icao_code": "TSC",
"legs": [
{
"arrival_airport": "LAX",
"arrival_at": "2013-07-16T19:23:00.000+00:00",
"arrival_city": "Los Angeles",
"arrival_country": "US",
"carrier_code": "649",
"carrier_name": "Air Transat A.T. Inc",
"iata_designator": "TS",
"icao_code": "TSC",
"coupon_number": "15885566",
"departure_airport": "LHR",
"departure_at": "2013-07-16T19:23:00.000+00:00",
"departure_city": "London",
"departure_country": "GB",
"departure_tax_amount": 1200,
"fare_amount": 129900,
"fare_basis_code": "FY",
"fee_amount": 1200,
"flight_class": "E",
"flight_number": "101",
"route_type": "round_trip",
"seat_class": "F",
"stop_over": false,
"tax_amount": 1200
}
],
"passenger_name_record": "JOHN L",
"passengers": [
{
"age_group": "adult",
"date_of_birth": "2013-07-16",
"email_address": "john@example.com",
"first_name": "John",
"frequent_flyer_number": "15885566",
"last_name": "Luhn",
"passport_number": "11117700225",
"phone_number": "+1234567890",
"ticket_number": "BA1236699999",
"title": "Mr.",
"country_code": "US"
}
],
"reservation_system": "Amadeus",
"restricted_ticket": false,
"ticket_delivery_method": "electronic",
"ticket_number": "123-1234-151555",
"travel_agency_code": "12345",
"travel_agency_invoice_number": "EG15555155",
"travel_agency_name": "ACME Agency",
"travel_agency_plan_name": "B733"
},
"auth_response_code": "00",
"avs_response_code": "match",
"cvv_response_code": "match",
"anti_fraud_decision": "accept",
"cart_items": [
{
"name": "GoPro HD",
"quantity": 2,
"unit_amount": 1299,
"discount_amount": 0,
"tax_amount": 0,
"external_identifier": "goprohd",
"sku": "GPHD1078",
"upc": "012345678905",
"product_url": "https://example.com/catalog/go-pro-hd",
"image_url": "https://example.com/images/go-pro-hd.jpg",
"categories": [
"camera",
"travel",
"gear"
],
"subcategories": [
"action-cameras"
],
"brand": "GoPro",
"product_type": "physical",
"seller_country": "US",
"tax_exempt": false,
"unit_of_measure": "feet",
"commodity_code": "43211503",
"description": "A brief description of an interesting item.",
"duty_amount": 1299,
"shipping_amount": 1299
}
],
"statement_descriptor": {
"name": "ACME",
"description": "ACME San Jose Electronics",
"city": "San Jose",
"country": "US",
"phone_number": "+1234567890",
"url": "www.example.com",
"postal_code": "94560"
},
"scheme_transaction_id": "123456789012345",
"transaction_link_id": "123456789012345",
"three_d_secure": {
"version": "2.2.0",
"status": "complete",
"method": "challenge",
"response_data": {
"cavv": "3q2+78r+ur7erb7vyv66vv8=",
"eci": "05",
"version": "2.1.0",
"directory_response": "C",
"authentication_response": "Y",
"cavv_algorithm": "A",
"xid": "12345",
"scheme": "visa"
},
"error_data": {
"code": "305",
"description": "Invalid ThreeDSCompInd",
"detail": "The threeDSCompInd must be 'Y' when successful",
"component": "C"
},
"amount": 123
},
"payment_service_transaction_id": "tx-12345",
"additional_identifiers": {
"payment_service_authorization_id": "auth-12345",
"payment_service_capture_id": "capture-12345"
},
"metadata": {
"cohort": "cohort-12345",
"order": "order-12345"
},
"authorized_at": "2013-07-16T19:23:00.000+00:00",
"captured_at": "2013-07-16T19:23:00.000+00:00",
"voided_at": "2013-07-16T19:23:00.000+00:00",
"canceled_at": "2013-07-16T19:23:00.000+00:00",
"approval_expires_at": "2013-07-16T19:23:00.000+00:00",
"buyer_approval_timedout_at": "2013-07-16T19:23:00.000+00:00",
"recipient": {
"first_name": "",
"last_name": "",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"account_number": "act12345",
"date_of_birth": "1995-12-23"
},
"merchant_advice_code": "02",
"installment_count": 3,
"session_token": "j3CZf9Eg6nUygMAVA6PXsVWGHiccj",
"tax_amount": 1299,
"merchant_tax_id": "<string>",
"purchase_order_number": "<string>",
"customer_reference_number": "<string>",
"amount_includes_tax": false,
"supplier_order_number": "<string>",
"duty_amount": 1299,
"shipping_amount": 1299,
"iso_response_code": "0110"
},
"type": "transaction-authorization-increment"
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Request failed validation",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}Increment transaction authorization
Increment the transaction authorization amount of a given transaction_id.
POST
/
transactions
/
{transaction_id}
/
authorization
/
increment
C#
using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.Transactions.IncrementAuthorizationAsync(
transactionId: "7099948d-7286-47e4-aad8-b68f7eb44591",
transactionAuthorizationIncrementCreate: new TransactionAuthorizationIncrementCreate() {
Amount = 1299,
}
);
// handle responsepackage main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"github.com/gr4vy/gr4vy-go/models/components"
"log"
)
func main() {
ctx := context.Background()
s := gr4vy.New(
gr4vy.WithID("example"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)
res, err := s.Transactions.IncrementAuthorization(ctx, "7099948d-7286-47e4-aad8-b68f7eb44591", components.TransactionAuthorizationIncrementCreate{
Amount: 1299,
}, nil, nil)
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.TransactionAuthorizationIncrementCreate;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.IncrementTransactionAuthorizationResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.id("example")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();
IncrementTransactionAuthorizationResponse res = sdk.transactions().incrementAuthorization()
.transactionId("7099948d-7286-47e4-aad8-b68f7eb44591")
.transactionAuthorizationIncrementCreate(TransactionAuthorizationIncrementCreate.builder()
.amount(1299L)
.build())
.call();
if (res.transactionAuthorizationIncrement().isPresent()) {
System.out.println(res.transactionAuthorizationIncrement().get());
}
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();
$transactionAuthorizationIncrementCreate = new Gr4vy\TransactionAuthorizationIncrementCreate(
amount: 1299,
);
$response = $sdk->transactions->incrementAuthorization(
transactionId: '7099948d-7286-47e4-aad8-b68f7eb44591',
transactionAuthorizationIncrementCreate: $transactionAuthorizationIncrementCreate
);
if ($response->transactionAuthorizationIncrement !== null) {
// handle response
}from gr4vy import Gr4vy
import os
with Gr4vy(
merchant_account_id="default",
bearer_auth=os.getenv("GR4VY_BEARER_AUTH"),
) as g_client:
res = g_client.transactions.increment_authorization(transaction_id="7099948d-7286-47e4-aad8-b68f7eb44591", amount=1299)
# Handle response
print(res)import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.transactions.incrementAuthorization({
amount: 1299,
}, "7099948d-7286-47e4-aad8-b68f7eb44591");
console.log(result);
}
run();curl --request POST \
--url https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/authorization/increment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 1299
}'{
"status": "succeeded",
"code": "service_error",
"raw_response_code": "E104",
"raw_response_description": "Internal error",
"transaction": {
"id": "7099948d-7286-47e4-aad8-b68f7eb44591",
"reconciliation_id": "default",
"merchant_account_id": "default",
"currency": "EUR",
"amount": 1299,
"status": "authorization_succeeded",
"authorized_amount": 1299,
"captured_amount": 1299,
"refunded_amount": 1299,
"settled_amount": 1100,
"settled": true,
"intent": "capture",
"gift_card_redemptions": [
{
"id": "31e65fb1-9c67-432e-9c06-83300b9d4059",
"status": "succeeded",
"amount": 100,
"refunded_amount": 50,
"gift_card": {
"bin": "412345",
"sub_bin": "554",
"last4": "1234",
"type": "gift-card",
"id": "356d56e5-fe16-42ae-97ee-8d55d846ae2e"
},
"type": "gift-card-redemption",
"gift_card_service_redemption_id": "xYqd43gySMtori",
"error_code": "expired_card",
"raw_error_code": "10001",
"raw_error_message": "Card expired"
}
],
"created_at": "2013-07-16T19:23:00.000+00:00",
"updated_at": "2013-07-16T19:23:00.000+00:00",
"disputed": true,
"payment_source": "ecommerce",
"merchant_initiated": true,
"is_subsequent_payment": false,
"intent_outcome": "succeeded",
"multi_tender": true,
"account_funding_transaction": true,
"type": "transaction",
"settled_currency": "USD",
"country": "US",
"external_identifier": "transaction-12345",
"payment_method": {
"method": "card",
"type": "payment-method",
"approval_url": "https://gr4vy.app/redirect/12345",
"country": "US",
"currency": "USD",
"details": {
"bin": "<string>",
"card_type": "<string>",
"card_issuer_name": "<string>"
},
"expiration_date": "12/30",
"fingerprint": "20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17",
"label": "1234",
"last_replaced_at": "2013-07-16T19:23:00.000+00:00",
"mode": "card",
"scheme": "visa",
"id": "852b951c-d7ea-4c98-b09e-4a1c9e97c077",
"approval_target": "any",
"external_identifier": "card-12345",
"payment_account_reference": "V0010014629724763377327521982"
},
"method": "card",
"instrument_type": "pan",
"error_code": "missing_redirect_url",
"payment_service": {
"id": "824ff064-7f4b-430b-9801-59aff90d013e",
"payment_service_definition_id": "stripe-card",
"method": "card",
"display_name": "Stripe USA",
"type": "payment-service"
},
"pending_review": false,
"buyer": {
"type": "buyer",
"id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"reconciliation_id": "7jZXl4gBUNl0CnaLEnfXbt",
"display_name": "John Doe",
"external_identifier": "buyer-12345",
"billing_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"tax_id": {
"value": "12345678931",
"kind": "us.ein"
}
},
"account_number": "<string>"
},
"raw_response_code": "E104",
"raw_response_description": "Missing redirect URL",
"shipping_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"id": "bf8c36ad-02d9-4904-b0f9-a230b149e341",
"buyer_id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"type": "shipping-details"
},
"checkout_session_id": "4137b1cf-39ac-42a8-bad6-1c680d5dab6b",
"gift_card_service": {
"id": "35b60feec-a7c7-4844-b503-f39b09192d81",
"gift_card_service_definition_id": "qwikcilver-gift-card",
"display_name": "Qwikcilver USA",
"type": "gift-card-service"
},
"reauthorized_from_transaction_id": "4137b1cf-39ac-42a8-bad6-1c680d5dab6b",
"airline": {
"booking_code": "X36Q9C",
"is_cardholder_traveling": true,
"issued_address": "123 Broadway, New York",
"issued_at": "2013-07-16T19:23:00.000+00:00",
"issuing_carrier_code": "649",
"issuing_carrier_name": "Air Transat A.T. Inc",
"issuing_iata_designator": "TS",
"issuing_icao_code": "TSC",
"legs": [
{
"arrival_airport": "LAX",
"arrival_at": "2013-07-16T19:23:00.000+00:00",
"arrival_city": "Los Angeles",
"arrival_country": "US",
"carrier_code": "649",
"carrier_name": "Air Transat A.T. Inc",
"iata_designator": "TS",
"icao_code": "TSC",
"coupon_number": "15885566",
"departure_airport": "LHR",
"departure_at": "2013-07-16T19:23:00.000+00:00",
"departure_city": "London",
"departure_country": "GB",
"departure_tax_amount": 1200,
"fare_amount": 129900,
"fare_basis_code": "FY",
"fee_amount": 1200,
"flight_class": "E",
"flight_number": "101",
"route_type": "round_trip",
"seat_class": "F",
"stop_over": false,
"tax_amount": 1200
}
],
"passenger_name_record": "JOHN L",
"passengers": [
{
"age_group": "adult",
"date_of_birth": "2013-07-16",
"email_address": "john@example.com",
"first_name": "John",
"frequent_flyer_number": "15885566",
"last_name": "Luhn",
"passport_number": "11117700225",
"phone_number": "+1234567890",
"ticket_number": "BA1236699999",
"title": "Mr.",
"country_code": "US"
}
],
"reservation_system": "Amadeus",
"restricted_ticket": false,
"ticket_delivery_method": "electronic",
"ticket_number": "123-1234-151555",
"travel_agency_code": "12345",
"travel_agency_invoice_number": "EG15555155",
"travel_agency_name": "ACME Agency",
"travel_agency_plan_name": "B733"
},
"auth_response_code": "00",
"avs_response_code": "match",
"cvv_response_code": "match",
"anti_fraud_decision": "accept",
"cart_items": [
{
"name": "GoPro HD",
"quantity": 2,
"unit_amount": 1299,
"discount_amount": 0,
"tax_amount": 0,
"external_identifier": "goprohd",
"sku": "GPHD1078",
"upc": "012345678905",
"product_url": "https://example.com/catalog/go-pro-hd",
"image_url": "https://example.com/images/go-pro-hd.jpg",
"categories": [
"camera",
"travel",
"gear"
],
"subcategories": [
"action-cameras"
],
"brand": "GoPro",
"product_type": "physical",
"seller_country": "US",
"tax_exempt": false,
"unit_of_measure": "feet",
"commodity_code": "43211503",
"description": "A brief description of an interesting item.",
"duty_amount": 1299,
"shipping_amount": 1299
}
],
"statement_descriptor": {
"name": "ACME",
"description": "ACME San Jose Electronics",
"city": "San Jose",
"country": "US",
"phone_number": "+1234567890",
"url": "www.example.com",
"postal_code": "94560"
},
"scheme_transaction_id": "123456789012345",
"transaction_link_id": "123456789012345",
"three_d_secure": {
"version": "2.2.0",
"status": "complete",
"method": "challenge",
"response_data": {
"cavv": "3q2+78r+ur7erb7vyv66vv8=",
"eci": "05",
"version": "2.1.0",
"directory_response": "C",
"authentication_response": "Y",
"cavv_algorithm": "A",
"xid": "12345",
"scheme": "visa"
},
"error_data": {
"code": "305",
"description": "Invalid ThreeDSCompInd",
"detail": "The threeDSCompInd must be 'Y' when successful",
"component": "C"
},
"amount": 123
},
"payment_service_transaction_id": "tx-12345",
"additional_identifiers": {
"payment_service_authorization_id": "auth-12345",
"payment_service_capture_id": "capture-12345"
},
"metadata": {
"cohort": "cohort-12345",
"order": "order-12345"
},
"authorized_at": "2013-07-16T19:23:00.000+00:00",
"captured_at": "2013-07-16T19:23:00.000+00:00",
"voided_at": "2013-07-16T19:23:00.000+00:00",
"canceled_at": "2013-07-16T19:23:00.000+00:00",
"approval_expires_at": "2013-07-16T19:23:00.000+00:00",
"buyer_approval_timedout_at": "2013-07-16T19:23:00.000+00:00",
"recipient": {
"first_name": "",
"last_name": "",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"account_number": "act12345",
"date_of_birth": "1995-12-23"
},
"merchant_advice_code": "02",
"installment_count": 3,
"session_token": "j3CZf9Eg6nUygMAVA6PXsVWGHiccj",
"tax_amount": 1299,
"merchant_tax_id": "<string>",
"purchase_order_number": "<string>",
"customer_reference_number": "<string>",
"amount_includes_tax": false,
"supplier_order_number": "<string>",
"duty_amount": 1299,
"shipping_amount": 1299,
"iso_response_code": "0110"
},
"type": "transaction-authorization-increment"
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Request failed validation",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Request failed validation",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}This endpoint requires the
transactions.write scope.Authorizations
Headers
Path Parameters
Body
application/json
Response
Successful Response